#! perl
use warnings;
use strict;

# $Id$

use Test::More 'no_plan';

use base 'Opened';
pass "use base";

{
    my $file : Opened( '<', $0 );
    isa_ok $file, "GLOB";

    my $content = do { local $/; <$file> };
    is length $content, -s $0, "Sizes compare!";

    like $content, qr/use base 'Opened';/, "Random content matches";
}
