#! /usr/local/bin/perl5100
use 5.010;
use warnings;
use strict;

BEGIN {
    *CORE::GLOBAL::readpipe = sub { &readpipe };
}

{
    no warnings 'redefine';
    local *CORE::GLOBAL::readpipe = sub {
        print "$_\n" for @_;
        return "Hardware Overview\n";
    };
    print for Sysinfo::get_sysinfo();
}

package Sysinfo;

sub get_sysinfo {
    my @data = qx/system_profiler -detailLevel mini SPHardwareDataType/;

    return @data;
}

1;
