package CatchOut;
use strict;
use warnings;

# $Id$
our $VERSION = 0.04;

# tie *HANDLE, 'CatchOut'[, \$buf]
sub TIEHANDLE {
    my $class = shift;
    ref $_[0] eq __PACKAGE__ and return $_[0];
    ref $_[0] eq 'SCALAR'
        or die "Usage:\n\ttie *HANDLE, 'CatchOut', \$buf";
    bless $_[0], $class;
}

sub PRINT {
    my $self = shift;
    $$self .= join "", @_;
}

sub PRINTF {
    my $self = shift;
    my( $fmt, @args ) = @_;
    $$self .= sprintf $fmt, @args;
}

sub UNTIE { }

1;
