package Auto_OddEven;
use strict;
use warnings;

use Attribute::Handlers autotie => {
    '__CALLER__::OddEven' => __PACKAGE__
};

sub TIESCALAR {
    my $class = shift;
    bless \(my $self = shift), $class;
}

sub FETCH {
    my $self = shift;
    return $$self % 2 == 0 ? 'even' : 'odd';
}

sub STORE {
    my $self = shift;
    $$self = shift;
}

1;
