package Tie_OddEven;
use strict;
use warnings;

our $VERSION = 0.01;

use Attribute::Handlers;

sub OddEven :ATTR(SCALAR) {
    my( $pkg, $symbol, $referent, $attr, $data ) = @_;
    print "[:$attr] $pkg\n";
    tie $$referent, __PACKAGE__, $data;
}

sub TIESCALAR {
    my $class = shift;
    bless \(my $self = shift), $class;
}

sub FETCH {
    my $self = shift;
    return $$self % 2 == 0 ? 'even' : 'odd';
}

sub STORE {
    my $self = shift;
    $$self = shift;
}

1;
