#! /usr/bin/perl
use warnings;
use strict;

# from perldoc -f gmtime
# If EXPR is omitted, "gmtime()" uses the current time ("gmtime(time)").

BEGIN { # time() needs to be defined first
    *CORE::GLOBAL::time = sub { 1204286400 }; # 29 Feb 2008 12:00:00 GMT
}
BEGIN { # now we can use our time()
    *CORE::GLOBAL::gmtime = sub (;$) {
        my $stamp = @_ ? $_[0] : time;
        CORE::gmtime( $stamp );
    };
}

printf "[       empty] %s\n", scalar gmtime( );
printf "[      time()] %s\n", scalar gmtime( time );
printf "[CORE::time()] %s\n", scalar gmtime( CORE::time );
