package FeedIn;
use warnings;
use strict;

# $Id$
our $VERSION = 0.01;

# tie *FH, 'FeedIn', $text;
sub TIEHANDLE {
    my( $class, $store ) = @_;
    bless \$store, $class;
}

sub CLOSE { }
sub UNTIE { }

sub READLINE {
    my $self = shift;
    defined $$self or return;
    length  $$self or return;

    if ( ! defined $/ ) { # slurp-mode
        my $all = $$self;
        $$self = undef;
        return $all;
    }

    if ( wantarray ) {
        my @lines = grep length $_ => $$self =~ m{(.*?(?:$/|\z))}sg;
        $$self = undef;
        return @lines;
    } else {
        return defined $$self =~ s{(.*?(?:$/|\z))}{}s ? $1 : undef;
    }
}

1;
