#! perl
use warnings;
use strict;

use Test::More 'no_plan';

use_ok 'Coords';

my $c = Coords->new( 150, 150 );
is $c, $c->as_string, "overloaded stringify: $c";

$c->move( -50, 50 );
is $c, "(100, 200)", "->move(-50,50): $c";

my $m = Coords->new( 50, -50 );
$c->move( $m );
is $c, "(150, 150)", "->move$m: $c";
