#! perl
use warnings;
use strict;

use Test::More tests => 4;

use Hugeint ':constant';  # overload::constant() does not work from eval
pass 'use Hugeint';

my $n = 10;
isa_ok $n, 'Hugeint';
is $n, 10, "overloaded constant $n";

$n .= 9;
is $n, 109, "string concatenation $n";
