#! perl
use warnings;
use strict;

# $Id$

use Test::More 'no_plan';

use_ok 'CatchOut';

{
    my $outbuf;
    {
        local *OUT;
        tie *OUT, 'CatchOut', \$outbuf;
        print OUT "Testline\n";
        untie *OUT;
    }
    is $outbuf, <<'    __EOTEST__', "Caught the right output";
Testline
    __EOTEST__
}
